@import 'global';

.champs-edition-personnage {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
    max-width: 1000px;
    width: 100%;
    padding: 5% 10%;
    form {
        display: flex;
        flex-direction: column;
        gap: 40px;
        .points-disponibles {
            color: $blanc;
            text-align: center;
            font-weight: bold;
        }
        input {
            font-size: 32px;
            color: $blanc;
            text-align: center;
            @include max767 {
                font-size: 24px;
            }
            &::placeholder, &:focus, &:focus::placeholder {
                color: $blanc;
            }
            &:focus {
                border-color: $blanc;
            }
        }
        .competences {
            display: flex;
            gap: 40px;
            flex-wrap: nowrap;
            @include max767 {
                flex-wrap: wrap;
                gap: 30px;
                max-width: 400px;
            }
            @include max479 {
                gap: 20px;
            }
        }
        .bouton-envoyer {
            display: block;
            padding: 10px 30px;
            margin: 0 auto;
        }
    }
}

.popupReussi {
    display: none;
    position: fixed;
    bottom: 20px;
    right: 0px;
    width: 200px;
    transform: translateX(-50%);
    background-color: #41cf0d;
    color: #fff;
    padding: 10px 20px;
    border-radius: 5px;
}

.popupRate {
    display: none;
    position: fixed;
    bottom: 20px;
    right: 0px;
    width: 200px;
    transform: translateX(-50%);
    background-color: #f01212;
    color: #fff;
    padding: 10px 20px;
    border-radius: 5px;
}

.show {
    display: block;
}